<!DOCTYPE html>
<html>
<head>
    <title>Predict Streaming</title>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.4.6/socket.io.js"></script>
    {% include "stylelinks.html" ignore missing %}

</head>
<body class="bg-light fixed-nav sticky-footer">
    {% include "navigation.html" ignore missing %}

	<div class="content-wrapper">
		<div class="container-fluid">
			<div class="header">
                <h2 class="h2">Predicting anomalies in streaming mode</h2>
			</div>

            <div class="card m-4">
                <div class="card-header">
                    Results table
                </div>
                <div class="card-body">

                    <ul class="nav nav-tabs" id="tableTabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="all-tab" data-toggle="tab"
                               href="#all" role="tab" aria-controls="all" aria-selected="true">All</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="anomalous-tab" data-toggle="tab"
                               href="#anomalous" role="tab" aria-controls="anomalous" aria-selected="false">Anomalous</a>
                        </li>
                    </ul>
                    <div class="tab-content" id="tableTabsContent">
                        <div class="tab-pane fade show active" id="all" role="tabpanel" aria-labelledby="all-tab">
                            <div class="table-responsive m-3">
                                <div id="dataTable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap4">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <table class="table table-sm dataTable" id="streaming_result_tbl"
                                                   width="100%" cellspacing="0" role="grid" aria-describedby="dataTable_info"
                                                   style="width: 100%;">
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="anomalous" role="tabpanel" aria-labelledby="anomalous-tab">
                            <div class="table-responsive m-3">
                                <div id="dataTable_wrapper_anomalous" class="dataTables_wrapper container-fluid dt-bootstrap4">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <table class="table table-sm dataTable" id="streaming_result_tbl_anomalous"
                                                   width="100%" cellspacing="0" role="grid" aria-describedby="dataTable_info"
                                                   style="width: 100%;">
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--<div class="row m-3">-->
                <!--<select class="form-control col-sm-4 m-3" id="pickup-taxizone">-->
                <!--</select>-->

                <!--<select class="form-control col-sm-4 m-3" id="dropoff-taxizone">-->
                <!--</select>-->
            <!--</div>-->

            <div class="card m-4">
                <div class="card-header">
                    Average anomaly probability per hour
                </div>
                <div class="card-body">
                    <canvas id="line-chart" width="800" height="250"></canvas>
                </div>
            </div>
        </div>
    </div>


	{% include "jslinks.html" ignore missing %}

	<script src="{{url_for('static', filename='chartjs/Chart.js')}}"></script>
	<script src="{{url_for('static', filename='chartjs/Chart.min.js')}}"></script>
    <script src="{{url_for('static', filename='line_chart.js')}}"></script>

    <script type="text/javascript" src="{{url_for('static', filename='streaming.js')}}"></script>

    <!--<script type="text/javascript">-->
        <!--$('#streaming_result_tbl').dataTable();-->
        <!--$('#streaming_result_tbl_anomalous').dataTable();-->
    <!--</script>-->
</body>
</html>